########################################################
# Snitch main configuration                            #
#                                                      #
# Changes made here might greatly affect snitchs       #
# playing strength.                                    #
# Most users should only change the first two          #
# parameters (Hash and egtb_path).                     #
#                                                      #
# If you like to experiment with the remaining         #
# parameters, feel free to do so, but be aware that    #
# wrong paramaters might even crash snitch.            #
#                                                      #
# If you think your modifications work better than     #
# the defaults, please mail this file to:              #
# snitch@friedelprivat.de                              #
########################################################






########################################################
# Basic settings                                       #
########################################################
# Size of the main hashtable in MB
Hash=32
resign=999

########################################################
# Tablebase settings                                   #
########################################################
# Where are your endgame tablebases
egtb_path=z:\media1\tb45
# cache size in MB
NalimovCache=8
# how deep to probe TB. (lower means more probes)
egtb_depth=192

########################################################
# Opening book                                         #
########################################################
learn_book=false
learn_maxply=30
# Number of moves to learn after being out of book (as long as not higher than learn_maxply)
learn_oubext=4
# weight of learnbook 
#  0: use default book only 
# 50: use default book and learn book equal
#100: use learn book only
book_mix=50
# if true select any of the bookmoves with a score above book_min_percent
# with decreasing probability
# else select the move with the highest score
book_random=true
# Minimum win probability. Book moves below this value will
# be avoided
book_min_percent=48
# White has the advantage of moving first: How many percent ?
book_white_advantage=3

########################################################
# Extensions                                           #
# All extension parameters have a base of 64           #
# so 64 means one ply.                                 #
#                                                      #
# Using extensions above 64 might freeze snitch because#
# of endless extensions.                               #
########################################################
ext_check=64
ext_single=64
ext_threat=48
ext_pawnon7th=64
ext_pawn_endgame=128
ext_retake=0
ext_pv=64
ext_per_ply=96


########################################################
# Pruning                                              #
# All depth parameters have a base of 64               #
# so 64 means one ply.                                 #
# The higher the values the more pruning will occur    #
########################################################
static_prune_depth=192
null_red_depth=128
qs_prune_1=true
qs_prune_2=true
qs_see=true
ms_prune=96
ms_prune_first=2


########################################################
# Basic evaluation weights                             #
# All weights have a base of 64                        #
# so 64 means 1.0 or 32 means 0.5                      #
########################################################
lazy_eval=true
eval_material=64
eval_kingsafty=48
eval_mobility=48
eval_pawn=64
eval_rook=64
eval_bishop=64
eval_knight=48
eval_outpost=32
eval_space=32
eval_psq=32
eval_tempo=10

########################################################
# Detail evaluation scores                             #
# Values are in centipawns.                            #
########################################################
double_pawn_penalty=11
isolated_pawn_penalty=9
bishoppair_bonus=40
rook_open_file_bonus=10
rook_on_7th_0=15
rook_on_7th_1=10
rook_on_7th_2=37
rook_immobile=7
rook_knight_dominance=4
bishop_knight_dominance=3
bishop_trapped=120

#########################################################
# Pawn evaluation details
#########################################################
# Pawns on semi open files (per row)
eval_pawn_semi_open=0, 25, 25, 15, 10, 6, 3, 0
# Pawns on open files (per row)
eval_pawn_open=0, 90, 65, 45, 28, 15, 5, 0

